package com.zx.dataservice.service.impl;

import com.jfinal.plugin.activerecord.Db;
import com.jfinal.plugin.activerecord.Record;
import com.zx.dataservice.service.ChoiceHisService;
import com.zx.dataservice.utils.DateTimeUtil;
import com.zx.dataservice.utils.DateUtils;
import com.zx.dataservice.utils.WorkingDayUtil;
import com.zx.dataservice.utils.ZXOptions;
import org.apache.commons.lang3.StringUtils;
import org.springframework.stereotype.Service;

import java.util.Date;
import java.util.List;

@Service
public class ChoiceHisServiceImpl implements ChoiceHisService {


    @Override
    public void analysisHistData() {
        List<Record> records = Db.use("gp").find("select id, code, name from t_stock_base_info where is_rest_add = 0 order by id asc ");
        for (Record record:records) {
            String str = Db.use("gp").queryStr("select  dates  from  " +
                    " data_hist_" + record.getStr("code").replace(".", "_").toLowerCase() +
                    " order by realtime+0 desc  limit 1 ");
            if(StringUtils.isNotBlank(str)){
                String newTime = new WorkingDayUtil().getNewTime(str, "yyyy/MM/dd",5);
                if(DateUtils.dateTime("yyyy/MM/dd",newTime).before(new Date())){  // 五天内还是 无数据
                    System.out.println("五天内无数据股票****"+record.getStr("code")+"***"+newTime);
                        Db.use("gp").update(" update t_stock_base_info set is_rest_add = 2  where id = ? ",record.get("id")+"");
                }
            }
        }

        List<Record> record2s = Db.use("zq").find("select id, code, name from t_stock_base_info where is_rest_add = 0 order by id asc ");
        for (Record record:record2s) {
            String str = Db.use("zq").queryStr("select  dates  from  " +
                    " data_hist_" + record.getStr("code").replace(".", "_").toLowerCase() +
                    " order by realtime+0 desc  limit 1 ");
            if(StringUtils.isNotBlank(str)){
                String newTime = new WorkingDayUtil().getNewTime(str, "yyyy/MM/dd",5);
                if(DateUtils.dateTime("yyyy/MM/dd",newTime).before(new Date())){  // 五天内还是 无数据
                    System.out.println("五天内无数据股票****"+record.getStr("code")+"***"+newTime);
                        Db.use("zq").update(" update t_stock_base_info set is_rest_add = 2  where id = ? ",record.get("id")+"");
                }
            }
        }

    }
}
